# $Revision: 1.16 $, $Date: 2006/05/31 12:55:08 $
%define		ocaml_ver	1:3.09.2
Summary:	A stew of OCaml utility function
Summary(pl):	Zbir funkcji narzdziowych dla OCamla
Name:		ocaml-stew
Version:	0.12.0
Release:	9
License:	LGPL
Group:		Libraries
Source0:	http://raevnos.pennmush.org/code/stew-%{version}.tar.gz
# Source0-md5:	7e822ca90a5265a2f1b94e81add6eb4c
URL:		http://raevnos.pennmush.org/code/ocaml.html
BuildRequires:	autoconf
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib >= 0.7.2
BuildRequires:	ocaml-pcre-devel
%requires_eq	ocaml-pcre
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Stew is a general-purpose library of useful utility and extension
routines. Highlights include random number generators and
distributions, locale support, improved time printing, and character
classification routines that are locale-dependant.

This package contains files needed to run bytecode executables using
this library.

%description -l pl
Stew jest oglnego uytku bibliotek uytecznych funkcji narzdziowych
i rozszerze. Zawiera generatory i dystrybucje liczb losowych,
wsparcie dla lokalizacji, ulepszone drukowanie czasu, oraz funkcje
klasyfikacji znakw (<ctype.h>), ktre s zalene od locale.

Pakiet ten zawiera binaria potrzebne do uruchamiania programw
uywajcych tej biblioteki.

%package devel
Summary:	A stew of OCaml utility function - development part
Summary(pl):	Zbir funkcji narzdziowych dla OCamla - cze programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
Stew is a general-purpose library of useful utility and extension
routines. Highlights include random number generators and
distributions, locale support, improved time printing, and character
classification routines that are locale-dependant.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl
Stew jest oglnego uytku bibliotek uytecznych funkcji narzdziowych
i rozszerze. Zawiera generatory i dystrybucje liczb losowych,
wsparcie dla lokalizacji, ulepszone drukowanie czasu, oraz funkcje
klasyfikacji znakw (<ctype.h>), ktre s zalene od locale.

Pakiet ten zawiera pliki niezbdne do tworzenia programw uywajcych
tej biblioteki.

%prep
%setup -q -n stew-%{version}

%build
%{__autoconf}
%configure
%{__make} all opt
rm -f *.cma
%{__make} DLL='-cclib -lstew'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{stublibs,site-lib/stew}

ln -s ../stublibs $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib

%{__make} install \
	CAMLLIB=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

echo >> $RPM_BUILD_ROOT%{_libdir}/ocaml/stew/META
echo 'directory = "+stew"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/stew/META
mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/stew/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/stew
rm -f $RPM_BUILD_ROOT%{_libdir}/ocaml/stew/*.mli

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc html/*
%{_libdir}/ocaml/stew
%{_libdir}/ocaml/site-lib/stew

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-stew.spec,v $
Revision 1.16  2006/05/31 12:55:08  glen
- rel 9 (rebuild with ocaml-3.09.2)

Revision 1.15  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.14  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.13  2005/12/10 18:48:25  baggins
- release 6 for ocaml 3.09.0

Revision 1.12  2005/10/11 20:25:54  paszczus
- release up to rebuild with new ocaml

Revision 1.11  2005/05/21 17:27:35  ankry
- rel. 4

Revision 1.10  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.9  2003/10/30 13:33:23  qboosh
- moved base docs to base, removed LICENSE (just LGPL)

Revision 1.8  2003/09/03 21:47:20  malekith
- release 2 for ocaml 3.07
- fixed requires (pcre)

Revision 1.7  2003/06/17 14:22:52  ankry
- 0.12.0

Revision 1.6  2003/06/17 14:22:00  ankry
- fixed md5

Revision 1.5  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/08/12 12:03:20  malekith
- up to 0.10.0
- ocaml 3.05 fixes
- new %doc

Revision 1.3  2002/05/21 23:14:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/14 19:10:49  qboosh
- BR: autoconf

Revision 1.1  2002/05/13 11:43:42  malekith
- initial; from scratch
